## org.mariadb.jdbc
Class MariaDbXid

    java.lang.Object
      org.mariadb.jdbc.MariaDbXid

All Implemented Interfaces:
  Xid

    public class MariaDbXid

extends Object
implements Xid

Field Summary
`byte[]` `branchQualifier`
`int` `formatId`
`byte[]` `globalTransactionId`

Fields inherited from interface javax.transaction.xa.Xid
`MAXBQUALSIZE, MAXGTRIDSIZE`

Constructor Summary
`MariaDbXid(int formatId, byte[] globalTransactionId, byte[] branchQualifier)` Global transaction identifier.

Method Summary
`boolean` `equals(Object obj)` Equal implementation.
`byte[]` `getBranchQualifier()`
`int` `getFormatId()`
`byte[]` `getGlobalTransactionId()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### formatId

    public int formatId

### globalTransactionId

    public byte[] globalTransactionId

### branchQualifier

    public byte[] branchQualifier

Constructor Detail

### MariaDbXid

    public MariaDbXid(int formatId,
                      byte[] globalTransactionId,
                      byte[] branchQualifier)

  Global transaction identifier.

  Parameters:
    `formatId` - the format identifier part of the XID.
    `globalTransactionId` - the global transaction identifier part of XID as an array of bytes.
    `branchQualifier` - the transaction branch identifier part of XID as an array of bytes.

Method Detail

### equals

    public boolean equals(Object obj)

  Equal implementation.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - object to compare
  Returns:
    true if object is MariaDbXi and as same parameters

### getFormatId

    public int getFormatId()

  Specified by:
    `getFormatId` in interface `Xid`

### getGlobalTransactionId

    public byte[] getGlobalTransactionId()

  Specified by:
    `getGlobalTransactionId` in interface `Xid`

### getBranchQualifier

    public byte[] getBranchQualifier()

  Specified by:
    `getBranchQualifier` in interface `Xid`

Copyright © 2017. All rights reserved.